package cn.com.qmth.stmms.biz.user.service;

import java.util.List;

import cn.com.qmth.stmms.biz.user.model.User;
import cn.com.qmth.stmms.biz.user.service.query.UserSearchQuery;
import cn.com.qmth.stmms.common.enums.Role;

public interface UserService {

    User findByLoginName(String loginName);

    List<User> findByLoginNameAndPassword(String loginName, String password);

    User findById(Integer id);

    public List<User> findBySchoolIdAndRole(int schoolId, Role role);

    public UserSearchQuery searchByQuery(final UserSearchQuery query);

    public User save(User user);

    public void deleteById(int id);

    public void delete(User user);

    public User findSchoolAdmin(int schoolId);
    
    public User findSchoolViewer(int schoolId);

	void deleteSubjectViewerByExamId(Integer id);

    public User findByLoginNameAndStatus(String loginName);

}
